> ## Documentation Index > Fetch the complete documentation index at: https://docs.retailvista.net/llms.txt > Use this file to discover all available pages before exploring further. # /v26.4/CashDeclarationJournalRows ## OpenAPI ````json GET /v26.4/CashDeclarationJournalRows { "openapi": "3.0.1", "info": { "title": "NedFox Retail3000 Core", "description": "This page documents the NedFox Retail3000 Core REST API", "version": "26.4" }, "paths": { "/v26.4/CashDeclarationJournalRows": { "get": { "tags": [ "CashDeclarationJournalRows" ], "parameters": [ { "name": "StoreId", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "CashDeclarationJournalId", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "LedgerId", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "Description", "in": "query", "schema": { "type": "string" } }, { "name": "IsProcessedOnly", "in": "query", "schema": { "$ref": "#/components/schemas/BooleanFilter" } }, { "name": "Offset", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "RecordCount", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "IncludeItemId", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "ExcludeItemId", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "OrderBy", "in": "query", "schema": { "type": "string" } }, { "name": "ModifiedSinceDateTime", "in": "query", "schema": { "type": "string", "format": "date-time" } } ], "responses": { "200": { "description": "Success", "content": { "text/plain": { "schema": { "type": "array", "items": { "$ref": "#/components/schemas/ViewCashDeclarationJournalRowDTO" } } }, "application/json": { "schema": { "type": "array", "items": { "$ref": "#/components/schemas/ViewCashDeclarationJournalRowDTO" } } }, "text/json": { "schema": { "type": "array", "items": { "$ref": "#/components/schemas/ViewCashDeclarationJournalRowDTO" } } } } }, "401": { "description": "Unauthorized", "content": { "text/plain": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "application/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "text/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } } } }, "403": { "description": "Forbidden", "content": { "text/plain": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "application/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "text/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } } } }, "404": { "description": "Not Found", "content": { "text/plain": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "application/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "text/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } } } } } } } }, "components": { "schemas": { "BooleanFilter": { "enum": [ "All", "Yes", "No" ], "type": "string" }, "ViewCashDeclarationJournalRowDTO": { "type": "object", "properties": { "itemId": { "type": "integer", "format": "int32", "nullable": true }, "createdByUserId": { "type": "integer", "format": "int32", "nullable": true }, "createdDateTime": { "type": "string", "format": "date-time" }, "lastModifiedByUserId": { "type": "integer", "format": "int32", "nullable": true }, "lastModifiedDateTime": { "type": "string", "format": "date-time" }, "companyId": { "type": "integer", "format": "int32", "nullable": true }, "cashDeclarationJournalId": { "type": "integer", "format": "int32", "nullable": true }, "ledgerId": { "type": "integer", "format": "int32", "nullable": true }, "vatId": { "type": "integer", "format": "int32", "nullable": true }, "debtorId": { "type": "integer", "format": "int32", "nullable": true }, "rowType": { "$ref": "#/components/schemas/FinancialJournalRowType" }, "amount": { "type": "number", "format": "double", "nullable": true }, "vatBaseAmount": { "type": "number", "format": "double", "nullable": true }, "vatAmount": { "type": "number", "format": "double", "nullable": true }, "description": { "type": "string", "nullable": true }, "reference": { "type": "string", "nullable": true }, "dueDate": { "type": "string", "format": "date-time", "nullable": true }, "ledgerCode": { "type": "integer", "format": "int32", "nullable": true }, "ledgerDescription": { "type": "string", "nullable": true }, "isCreditLedger": { "type": "boolean", "default": false }, "journalNumber": { "type": "integer", "format": "int32", "nullable": true }, "journalDescription": { "type": "string", "nullable": true }, "storeNumber": { "type": "integer", "format": "int32", "nullable": true }, "storeDescription": { "type": "string", "nullable": true }, "debtorName": { "type": "string", "nullable": true }, "debtorNumber": { "type": "integer", "format": "int64", "nullable": true }, "debtorExportCode": { "type": "string", "nullable": true }, "vatCode": { "type": "string", "nullable": true }, "vatFree": { "type": "boolean", "default": false }, "vatPercentage": { "type": "number", "format": "double", "nullable": true }, "vatExportCode": { "type": "string", "nullable": true }, "journalDateTo": { "type": "string", "format": "date-time", "nullable": true } }, "additionalProperties": false }, "ExceptionInfo": { "type": "object", "properties": { "type": { "type": "string", "nullable": true }, "message": { "type": "string", "nullable": true }, "stackTrace": { "type": "string", "nullable": true } }, "additionalProperties": false }, "FinancialJournalRowType": { "enum": [ "NotSpecified", "Sales", "Vat", "CashBalanceChange", "Payments", "Accounting", "Expenses", "CashDifferences", "SafeDifferences", "SafeTransaction", "SafeBalanceChange", "AccountsReceivable", "AccountsPayable", "StockTransactionSoldItems", "StockTransactionCostPrice", "Other" ], "type": "string" } } } } ````